[oe-commits] Roger Monk : angstrom: Add (hack) recipe to enable autologin (timed) for gdm

git version control git at git.openembedded.org
Mon Aug 30 07:40:26 UTC 2010


Module: openembedded.git
Branch: org.openembedded.dev
Commit: ba990688f20b9c86a480356b3412aaf57829360e
URL:    http://gitweb.openembedded.net/?p=openembedded.git&a=commit;h=ba990688f20b9c86a480356b3412aaf57829360e

Author: Roger Monk <r-monk at ti.com>
Date:   Fri Aug  6 14:56:32 2010 +0100

angstrom: Add (hack) recipe to enable autologin (timed) for gdm

   * Append autologin to default custom.conf
   * Longer term need better replacement/conf mechanism

Signed-off-by: Roger Monk <r-monk at ti.com>
Signed-off-by: Koen Kooi <k-kooi at ti.com>

---

 recipes/angstrom/angstrom-gdm-autologin-hack.bb |   23 +++++++++++++++++++++++
 1 files changed, 23 insertions(+), 0 deletions(-)

diff --git a/recipes/angstrom/angstrom-gdm-autologin-hack.bb b/recipes/angstrom/angstrom-gdm-autologin-hack.bb
new file mode 100644
index 0000000..5c5d7e8
--- /dev/null
+++ b/recipes/angstrom/angstrom-gdm-autologin-hack.bb
@@ -0,0 +1,23 @@
+DESCRIPTION = "Append Autologin to GDM config (custom.conf)"
+
+PACKAGE_ARCH = "all"
+ALLOW_EMPTY_${PN} = "1"
+
+pkg_postinst_${PN}() {
+#!/bin/sh
+grep "TimedLogin" $D/etc/gdm/custom.conf
+if [ $? -eq 0 ]; then
+   echo "NOTE:: custom.conf already has 'TimedLogin' configured - not patching
+else
+    cat >> $D/etc/gdm/custom.conf <<EOF
+
+[daemon]
+TimedLoginEnable=true
+TimedLogin=root
+TimedLoginDelay=10
+
+EOF
+fi
+}
+
+RDEPENDS_${PN} = "gdm"





More information about the Openembedded-commits mailing list